Skip to main content

updateCspmIntegration

Update credentials/config of a CSPM integration

updateCspmIntegration(
input: UpdateCspmIntegrationInput!
): UpdateCspmIntegrationPayload

Arguments​

updateCspmIntegration.input ● UpdateCspmIntegrationInput! non-null input​

Parameters for UpdateCspmIntegration

Type​

UpdateCspmIntegrationPayload object​

Autogenerated return type of UpdateCspmIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateCspmIntegration($input: UpdateCspmIntegrationInput!) {\n updateCspmIntegration(input: $input) { clientMutationId cspmIntegration { id status cloudAccounts { __typename } } errors }\n}","variables":{"input":{"id":1,"companyId":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute